/**
    This function supports application specific functionality.
    
    Revision   Date         Author 
    -------------------------------------------
    0.1        Oct 06 2010  Yuri Fukuda
**/
try{
    /* depending on the component, it will give specific 
       initialization and function declaration */
	if(myApp!=null){
		myApp.page=0;
		myApp.setPage = function(num){
			myApp.log("FUNCTION:myApp.setPage");
		    myApp.page = (num!=null)?num:0;
    	}
		myApp.moveToPage = function(page){
			myApp.log("FUNCTION:myApp.moveToPage");
			myApp.log("moving to page : page_"+myApp.page);
			if(page!=null){
				myApp.page=page;
			}
			//window.location.href="#page_"+page;
			if(myApp.page!="0"){
				window.location = String(window.location).replace(/\#.*$/, "") + "#page_"+myApp.page;
			}
  		};

		myApp.initialize = function(){
			myApp.log("FUNCTION:myApp.initialize");
	
			/**********************************************************************************
			This section handles calendar
			**********************************************************************************/
		
			if(myApp.compName == "DS-Article"){
				
				myApp.bringUpCredit=function(imgSection){
					myApp.log("Bringing PhotoCredit imgSection"+imgSection);
					$("body .creditSection").remove();
					$("body").prepend('<div id="creditOverlayLayer" class="creditSection"></div><div id="creditContent" class="creditSection">');
					$("#creditContent").append($(imgSection).html());
					$("#creditContent img").click(function(){
						$("body .creditSection").remove();
						return false;								   
					});
					
				};
		
				$(".imageBox").find("img").each(function(elm){
					  myApp.log("elm ="+ $(elm).parents(".imageBox").children("img").attr("src"));
					  if($(this).closest(".imageBox").find("img").parent("a").length==0){
						$(this).closest(".imageBox").find("img").append("<a></a>");
					  }
					  if($(this).closest(".imageBox").length > 0){
						  var argText=$($(this).closest(".imageBox")[0]).html();
						  //argText=argText.replace(/"/g,"\\\"");
						  //argText=argText.replace(/|/g,"");
						  argText=escape(argText);
						  myApp.log(argText);
						  //$(this).closest(".imageBox").find("img").parent("a").attr("onClick","hook:Health|addPhotoCreditLayer|test;");
						  $(this).closest(".imageBox").find("img").parent("a").attr("href","hook:Health|addPhotoCreditLayer|"+argText);
					  }
	//				   $(this).closest(".imageBox").find("img").parent("a").attr("onClick","javascript:myApp.bringUpCredit($(this).parents(\\\".imageBox\\\")[0]); return false;");
					  /*
					  $(this).closest(".imageBox").find("img").parent("a").click(function(){
						  myApp.bringUpCredit($(this).parents(".imageBox")[0]);
						  return false;
					   });*/
					   
																		 
				});
				
				if($("div.type_imagegallery span.title").length > 0 ){
					$("div#articlecontent div#descriptionblock").prepend('<span class="title"></span>');
					$("div#articlecontent div#descriptionblock span.title").prepend($("div.type_imagegallery span.title").html());
					$("div.type_imagegallery span.title").empty();
				}
				this.moveToPage();
				/*
				if(anchorID!=null && anchorID.length>0){
					location.href = "#"+anchorID;
					alert("jumping to " +anchorID);
	
				}*/
			}
		};
	}
//	myApp.initialize();

}catch(e){
	alert(e);
}
