/* this is used as common object to be exteded to 
   application object */
ESObject = function(_name){
  this.init(_name);
};


$.extend(ESObject.prototype, {
   // object variables
   compName: '',
   debugFlag: true,

   init: function(widget_name) {
     // do initialization here
     this.compName = widget_name;
   },

   log: function(msg) {
     // an example object method
	if(this.debugFlag){
		console.log("["+this.compName + "]"+msg);
	}
   },
   	/* this function will check if the input is number or not 
	@param num number to check
	*/
	
   IsNumeric : function(num)
	{
	   return num!=null && (num - 0) == num && num.length > 0;
	},
	
	/*
	*
	* Convert a number to the format xxx,xxx,xxx.xxxx
	* Accepts integers, floating point or string
	*
	* Does not accept exponential notation, etc.
	*
	* n  the number to be formatted
	*/
	thousandSeparator: function(num) {
		
      var sep=",";
	  var decpoint = ".";
      if(num==null) return num;
	  // need a string for operations
	  num = num.toString();
	  // separate the whole number and the fraction if possible
	  var a = num.split(decpoint);
	  var x = a[0]; // decimal
	  var y = a[1]; // fraction
	  var z = "";
	
	
	  if (typeof(x) != "undefined") {
		var sRegExp = new RegExp('(-?[0-9]+)([0-9]{3})');
		while(sRegExp.test(x)) {
			x = x.replace(sRegExp, '$1'+sep+'$2');
		}
	  }

	  if (typeof(y) != "undefined" && y.length > 0)
		  x += decpoint + y;
	
	  return x;
	  
	}

});


